import 'package:fisjsonrpc/client_base.dart';

/// 平台服务
class PlatformService extends JsonRpcClientBase {
  PlatformService(
    String host, {
    String serviceName = "IPlatformService",
    Map<String, String>? headers,
    int? timeout,
  }) : super(
          host,
          serviceName,
          headers: headers,
          timeout: timeout,
        );

  /// 加载主题
  Future<bool> loadTheme(String name) async {
    var rpcRst = await call("loadTheme", name);
    return rpcRst == true;
  }
}
